LinuxAnswers - the LQ Linux tutorial section.
Go Back > Forums > Linux Forums > Linux - Software
User Name
Linux - Software This forum is for Software issues.
Having a problem installing a new program? Want to know which application is best for the job? Post your question in this forum.


  Search this Thread
Old 11-01-2003, 06:32 AM   #1
LQ Newbie
Registered: Jul 2003
Distribution: RedHat 9
Posts: 6

Rep: Reputation: 0
Kernel modules in VMware 3.11 not compatible with Linux-2.4.20-8

I checked the VMware site for other modules, but they are ALL out of date and built for RedHat 7.2. I'm running RH9. The modules cannot adapt to my kernel, I've already tried. If anyone has a place where I can download an independantly built module, or can suggest a different windows emulator (one that can run an actual windows installation; not just emulate programs), please tell me where I can find it. Thanks in advance.
Old 11-01-2003, 11:10 AM   #2
Registered: Oct 2003
Distribution: Slackware
Posts: 112

Rep: Reputation: 15
I've never tried it on RH9 - which was released after VMWare 3.11 if I remember rightly. You may need to tinker with the build, or with where stuff is at.

Baring that, VMWare install should build the modules for you. Did you run And if so, what were the errors reported?

I am running vmware 4.0.1, but AFAIK 3.11 should work with 2.4 kernels, and the script was called

Of course, this requires certain things - you have a suitable compiler installed, and your kernel supports modules, and that the kernel 'support files' needed by a module compilation are all where they should be.


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off

Similar Threads
Thread Thread Starter Forum Replies Last Post
Debug Linux kernel in vmware (two machines in vmware)?? cyu021 Programming 0 03-30-2005 08:46 PM & kernel modules mythief Linux - Software 13 01-08-2005 01:53 PM & kernel modules mythief Mandriva 1 11-17-2004 01:46 PM
Are Red Hat precompiled modules (.o) compatible with Fedora? GustavoLacerda Linux - Software 1 05-26-2004 04:51 PM
Are Red Hat precompiled modules (.o) compatible with Fedora? GustavoLacerda Linux - General 1 05-26-2004 04:50 PM

All times are GMT -5. The time now is 09:23 AM.

Main Menu
Write for LQ is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
Facebook: linuxquestions Google+: linuxquestions
Open Source Consulting | Domain Registration